Skip to main content
GET
/
api
/
payments
/
products
/
{productId}
Get Product
curl --request GET \
  --url https://api.example.com/api/payments/products/{productId} \
  --header 'Authorization: Bearer <token>'
{
  "product": {
    "environment": "test",
    "stripeProductId": "prod_123",
    "name": "<string>",
    "description": "<string>",
    "active": true,
    "defaultPriceId": "price_123",
    "metadata": {},
    "syncedAt": "2023-11-07T05:31:56Z"
  },
  "prices": [
    {
      "environment": "test",
      "stripePriceId": "price_123",
      "stripeProductId": "prod_123",
      "active": true,
      "currency": "usd",
      "unitAmount": 2900,
      "unitAmountDecimal": "2900",
      "type": "recurring",
      "lookupKey": "pro_monthly",
      "billingScheme": "per_unit",
      "taxBehavior": "unspecified",
      "recurringInterval": "month",
      "recurringIntervalCount": 1,
      "metadata": {},
      "syncedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
string
required

Stripe product ID.

Minimum string length: 1

Query Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live

Response

Product and prices

product
object
required
prices
object[]
required